cc.funkemunky.api.utils

## Class ClassScanner

- java.lang.Object
- - cc.funkemunky.api.utils.ClassScanner

    public class ClassScanner
    extends java.lang.Object

This is copied from somewhere, can't remember from where thought. Modified.

### Constructor Summary

Constructors
Constructor and Description
`ClassScanner()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.nio.file.PathMatcher` `create(java.lang.String pattern)`
`static java.lang.String` `findPlugin(java.lang.String file, java.io.InputStream in)`
`static java.util.Set<java.lang.String>` `scanFile(java.lang.String file, java.lang.Class<?> clazz)`
`static java.util.Set<java.lang.String>` `scanFile(java.lang.String file, java.io.File f)`
`static java.util.Set<java.lang.String>` `scanFile(java.lang.String file, java.net.URL[] urls)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassScanner

    public ClassScanner()

### Method Detail

#### scanFile

    public static java.util.Set<java.lang.String> scanFile(java.lang.String file,
                                                           java.io.File f)

#### scanFile

    public static java.util.Set<java.lang.String> scanFile(java.lang.String file,
                                                           java.lang.Class<?> clazz)

#### scanFile

    public static java.util.Set<java.lang.String> scanFile(java.lang.String file,
                                                           java.net.URL[] urls)

#### findPlugin

    public static java.lang.String findPlugin(java.lang.String file,
                                              java.io.InputStream in)

#### create

    public static java.nio.file.PathMatcher create(java.lang.String pattern)